Subject: AW: Apache 1.3.9 builds but won't serve
From: "Ralf Habacker" <[email-masked]>
To: "Cygwin" <[email-masked]>
Cc: "Don Sharp" <[email-masked]>
Date: Thu, 10 May 2001 08:28:05 +0200

> -----Ursprüngliche Nachricht-----
> Von: [email-masked]
> [mailto:[email-masked]]Im Auftrag von Don Sharp
> Gesendet am: Mittwoch, 9. Mai 2001 15:56
> An: gnuwin32
> Betreff: Apache 1.3.9 builds but won't serve
>
> Greetings,
> 	I have built Apache 1.3.9 from a
> ./configure --enable-rule=SHARED_CORE
>
> as per the README.cygwin
>
> It builds OK after the following patch is made
>
> *** src/support/logresolve.c.old	Mon Jul 13 12:33:00 1998
> --- src/support/logresolve.c	Thu May  3 12:01:14 2001
> ***************
> *** 96,102 ****
> --- 96,106 ----
>    */
>
>   #ifndef h_errno
> + #ifdef __CYGWIN__
> + #include <netdb.h>
> + #else
>   extern int h_errno; /* some machines don't have this in their headers
> */
> + #endif
>   #endif
>
>   /* largeste value for h_errno */
>
> The .exes, (and the .dll) have to be copied to /usr/local/apache/bin by
> hand.
>
> Although it starts up OK, pointing my browser at
> http://localhost/
> doesn't get me the test web page, the request times out.
>
> Have I forgotten something?
>
> Cheers
>
> Don Sharp
>
Does the dll provides any global vars and does this vars are defined with
__declspec(dllexport) ?
If no and you don't like to patch every header, you need an ld with the
auto-import-patch from Paul Sokolovsky.
If you like, I can send you an archiv which a patched ld version.

Regards

Ralf Habacker
EMail: [email-masked]
       [email-masked]

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple